Summary:	Virtual tunnel over TCP/IP networks
Name:		vtun
Version:	3.0.3
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other
URL:		http://vtun.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
Source1:	vtunc.init
Source2:	vtund.init
Source3:	vtunc.sysconfig
Source4:	vtund.sysconfig
Source5:	vtun.xinetd
Source6:	%{name}-tmpfiles.conf
Patch0:		vtun-nostrip.patch
Patch1:		vtun-client-sighup.patch
Obsoletes:	vppp
Provides:	vppp
BuildRequires:	zlib-devel 
BuildRequires:	bison 
BuildRequires:	openssl-devel 
BuildRequires:	flex
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
#JMD: For static binary
BuildRequires:	openssl-static-devel
BuildRequires:	glibc-static-devel

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP networks
and allows to shape, compress, encrypt traffic in that tunnels. 
Supported type of tunnels are: PPP, IP, Ethernet and most of other serial 
protocols and programs.

VTun is easily and highly configurable, it can be used for various network
tasks like VPN, Mobil IP, Shaped Internet access, IP address saving, etc.
It is completely user space implementation and does not require modification
to any kernel parts. 

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build

%configure CFLAGS="%{optflags} --std=gnu89" \
    --localstatedir=%{_localstatedir}/lib/%{name} \
    --enable-ssl \
    --disable-lzo

#JMD: for static binary
#perl -pi -e "s/-lz/-Wl,-static -lz/g;" Makefile


#JMD: use this so we get Unix98 pty support

cat << EOF >> config.h
#define HAVE_GETPT
#define HAVE_GRANTPT
#define HAVE_UNLOCKPT
#define HAVE_PTSNAME
EOF

make \
    CFG_FILE=%{_sysconfdir}/vtund.conf \
    PID_FILE=/run/vtund.pid  \
    STAT_DIR=/var/log/vtund \
    LOCK_DIR=/run/lock/vtund

%install
install -d %{buildroot}/var/log/vtund
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/vtunc
install -D -p -m 0755 %{SOURCE2} %{buildroot}%{_initrddir}/vtund
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/vtunc
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/vtund
install -D -p -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/xinetd.d/vtun
install -D vtund %{buildroot}/%{_sbindir}/vtund
install scripts/reroute %{buildroot}/%{_sbindir}

install -D vtund.8 %{buildroot}/%{_mandir}/man8/vtund.8
install -D vtund.conf.5 %{buildroot}/%{_mandir}/man5/vtund.5

install -D -p -m 0644 %{SOURCE6} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%post
%_tmpfilescreate %{name}
%_post_service vtund
%_post_service vtunc

%preun
%_preun_service vtund
%_preun_service vtunc

%files
%defattr(644,root,root,755)
%doc ChangeLog Credits FAQ README README.Setup README.Shaper TODO
%doc vtund.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/vtun
%config(noreplace) %{_sysconfdir}/sysconfig/vtun?
%{_initrddir}/vtun?
%dir /var/log/vtund
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_tmpfilesdir}/%{name}.conf
%defattr(755,root,root,755)
%{_sbindir}/vtund
%{_sbindir}/reroute






%changelog
* Tue Apr 05 2016 luigiwalser <luigiwalser> 3.0.3-1.mga5
+ Revision: 998792
- 3.0.3
- sync patches with fedora
- fixes security issue rhbz#1319858

* Wed Oct 15 2014 umeabot <umeabot> 3.0.2-10.mga5
+ Revision: 741847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.2-9.mga5
+ Revision: 690251
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.0.2-8.mga4
+ Revision: 522683
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 3.0.2-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Jan 18 2013 colin <colin> 3.0.2-6.mga3
+ Revision: 389421
- Tidy spec a little
- Use tmpfiles.d for runtime dir creation.
- More use of buildroot macro.
- Use buildroot macro.

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 29 2012 colin <colin> 3.0.2-4.mga2
+ Revision: 234203
- Add LSB headers to initscripts (mga#5262)
- Split out initscripts from a binary

* Mon May 09 2011 pterjan <pterjan> 3.0.2-3.mga1
+ Revision: 96585
- Fix parallel build

  + grenoya <grenoya>
    - imported package vtun

